Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-connect-reuse-reqs-00.txt

From: Rohan Mahy <[email-masked]>
Date: Mon, 3 Mar 2003 09:51:10 +0100

On Tuesday, November 12, 2002, at 01:03 PM, feng zhang wrote:

> Hi Rohan,
>
>    in lines.....
>> On Monday, November 11, 2002, at 07:11 AM, feng zhang wrote:
>>
>>> Another problem:
>>>
>>>   If using the reuse mechanism metioned in this draft, it will be 
>>> like
>>> this:
>>>
>>> 		  +-----------+                        +-----------+
>>>           |           |                        |           |
>>>           |   Node A  | 8293              5061 |   Node B  |
>>>           |           |<======================>|           |
>>>           |           |                        |           |
>>>           +-----------+                        +-----------+
>>>               UAC                                   UAS
>              Does Node A have to listen on port 8293 ?  If Node A only 
> listens on port 5061, what will happen? A can not receive B's 
> requests, right?

Node A has to listen on port 5061 (for new connections), AND has to be 
willing to receive new requests over an existing connection which 
happens to be on port 8293.  Once this connection drops however it does 
not need to continue listening on port 8293.

hope this helps.
thanks,
-rohan

>>>
>>>   Here , quote section 3:
>>>
>>>     " 3.  A connection sharing mechanism MUST NOT require UACs
>>> (clients) to
>>>        send all traffic from well-know SIP ports."
>>>                         ~~~~~
>>>                           from? I think it's "to"
>>>
>>>   I think the UAC DOES NOT send any traffic on well-known  SIP ports,
>>> why here is this requirment?
>>
>>
>> Node A in this example initiates its connections *from* an ephemeral
>> port (port 8293).  I assert that it is a requirement that Nodes can
>> continue to initiate new connections *from* ports other than 
>> well-known
>> ports, and still take advantage of connection sharing.
>>
>> thanks,
>> -rohan
>>
>>>   Maybe I am wrong, please clarify me.
>>>
>>>> Hello all,
>>>>
>>>>  I think the example in section 4. Overview of Proposed Mechanism is
>>>> bad.
>>>>
>>>>  quote section 4:
>>>>
>>>>     Assuming the Via header field value shown below from the most
>>>> recent
>>>>     request arrived over a connection from 60.54.32.1 port 8241:
>>>>
>>>>
>>>>      Via: SIP/2.0/TLS 60.54.32.1:5061;branch=z9hG4bKa7c8dze ;alias
>>>>
>>>>      The transport layer would create an alias in order to get to:
>>>>
>>>>      60.54.32.1:5061  send on->  connection with 60.54.32.1:8241
>>>>
>>>>  I do not understand why using the SAME IP address ?
>>>>
>>>>  We can use IP address 10.10.1.1:8241(IP:port) for UAC and
>>>> 60.54.32.1:5061(IP/port) for UAS in the example, right?
>>>>
>>>>  Best regards.
>>>>
>>>>
>>>> _______________________________________________
>>>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>>> This list is for NEW development of the application of SIP
>>>> Use [email-masked] for questions on current sip
>>>> Use [email-masked] for new developments of core SIP
>>>>
>>>> .
>>> _______________________________________________
>>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>> This list is for NEW development of the application of SIP
>>> Use [email-masked] for questions on current sip
>>> Use [email-masked] for new developments of core SIP
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>>
>> .

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP